Subject: RE: some discrepancies.........

From: "Tom-PT Taylor" <[email-masked]>
Date: Wed, 27 Sep 2000 11:37:05 -0500

Speaking for Megaco, I must give warning that standard SDP implementations
simply will not work in the MG.  We not only permit omission of the lines
you note in the MGC->MG direction, but allow extra constructs like
wildcarding, ranges, and lists of alternatives.  In the MG->MGC direction we
are less permissive (athough I can't find the words I think used to be there
to say so).

> -----Original Message-----
> From: rahul pande [mailto:[email-masked]]
> Sent: Wednesday, September 27, 2000 2:54 PM
> To: [email-masked]
> Subject: some discrepancies.........
> 
> 
> hello Sir,
> 
> In MGCP ::
>   under the heading "Encoding of the session description" its stated :
> 
>    "The session description is encoded in conformance with the session
>     description protocol, SDP. MGCP implementations are expected to be
>     fully capable of parsing any conformant SDP message, and 
> should send
>     session descriptions that strictly conform to the SDP standard."
> 
> Sir, In MGCP under the topic "Usage of SDP in a network 
> access service"
> a new <media> attribute is defined i.e. "nas/XXXX" where as 
> in SDP the 
> syntax for <media> is ::
> 
>    IN SDP----> <media> = 1*(alpha-numeric)
>                         ;typically "audio", "video", "application"
>                         ;or "data"
>   It won't accept the char '/'.
> 
> In an example in MGCP ::
>                         v=0
>                         m=nas/radius *****pay a note here*******
>                         c=IN IP4 radius.example.net
>                         a=bearer:v.34
>                         a=framing:ppp-asynch
>                         a=dialed:18001234567
>                         a=called:12345678901
>                         a=dialing:12340567890
> 
> In SDP the "m=" attribute syntax is as follows ::
> "m=" media space port ["/" integer] space proto 1*(space fmt) CRLF
> 
> Here all the fields are mandatory and so port and other 
> things cannot be 
> left out.
> 
> These are few of the discrepancies i found in MGCP b'cause of 
> which old sdp 
> implementations won't work with MGCP. Its easy to add new 
> attributes but 
> would be difficult to change the grammar that is already existing.
> 
> In "Megaco" also is saying that you can skip "s=", "t=", "o=" 
> lines in sdp 
> message but an RFC2327 conformant SDP would definitely issue 
> an error and 
> would reject the message.
> 
> Please comment on the above and let me know how old sdps can 
> handle the new 
> definitions.
>     Thanking you,
>       rahul
> 
> 
> 
> 
> 
> 
> 
> "When text encoding the protocol, the descriptors consist of session
>    descriptions as defined in SDP (RFC2327).  In session descriptions
>    sent from the MGC to the MG, the following exceptions to the syntax
>    of RFC 2327 are allowed:
> 
>     * the "s=", "t=" and "o=" lines are optional"
> 
> 
> ______________________________________________________________
> ___________
> Get Your Private, Free E-mail from MSN Hotmail at 
http://www.hotmail.com.

Share information about yourself, create your own public profile at 
http://profiles.msn.com.